post
https://api.instantpay.in/identity/verifyAadhaar
Instantpay's Aadhaar Demographic Verification API solution empowers businesses to swiftly and accurately verify an individual's demographic details associated with their Aadhaar number.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Headers
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is 1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret | M | Y |
| X-Ipay-Endpoint-Ip | String | Customer End Point Id Address | M | N |
Request Parameters
| Name | Type | Requirement | Description |
|---|---|---|---|
| aadhaarNumber | String | Mandatory | Aadhaar Number in aes-256-cbc Encryption |
| latitude | String | Mandatory | End Customer Latitude |
| longitude | String | Mandatory | End Customer longitude |
| externalRef | String | Mandatory | Unique Transaction Id |
| consent | String | Mandatory | It will be Y or N |
Sample Request
curl --location 'https://api.instantpay.in/identity/verifyAadhaar' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
---header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"aadhaarNumber": "xxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}"
"consent" : "Y"
}'POST /identity/verifyAadhaar HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"aadhaarNumber": "xxxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status Code |
| data | Array | Response Data (If Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:MM:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Aadhaar Verification Successful",
"data": {
"poolReferenceId": "1000987654321EZFJY",
"pool": {
"openingBal": "96180.83",
"amount": "3.54",
"closingBal": "96177.29"
},
"optional1Label": "Address",
"optional1": "Uttar Pradesh",
"optional2Label": "Age Band",
"optional2": "20-30",
"optional3Label": "Gender",
"optional3": "M",
"optional4Label": "Mobile Number",
"optional4": "*******547"
},
"timestamp": "2023-07-17 11:17:33",
"ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
"orderid": "1000987654321EZFJY",
"environment": "SANDBOX",
"internalCode": null
}

